API

Online News Search Direct API

The AI-powered Online News Monitor provides 360° Global Media Data & Intelligence on Digital-native news outlets, online newspapers, broadcasters, wire services, and digital magazines.

API 参考 版本: 1.0.0 3 终端 身份验证
Online News Monitor

基本网址

https://pressmonitor.com/api

身份验证

所有请求都需要 x-api-key 和 x-subscription-id 标头。x-api-key 验证您的账户;x-subscription-id 选择订阅的服务。

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Get News Headlines

参数

名称 类型 位置 必填 描述
keywords_text string query 是 Primary keyword query used for direct news retrieval
lang_code string query 不 Filter by language code (ISO 639-1)
country_code string query 不 Filter by country code (ISO 3166-1 alpha-2)
count integer query 不 Number of results to return
cursor string query 不 Pagination cursor for next page
date_from string query 不 Start date for news (YYYY-MM-DD format)
date_to string query 不 End date for news (YYYY-MM-DD format)
sort string query 不 Sort order (date or relevance)

代码示例

curl -X GET \
  "https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

响应

200 Success
GET /briefs

Get News Briefs

参数

名称 类型 位置 必填 描述
keywords_text string query 是 Primary keyword query used for direct news retrieval
lang_code string query 不 Filter by language code (ISO 639-1)
country_code string query 不 Filter by country code (ISO 3166-1 alpha-2)
count integer query 不 Number of results to return
cursor string query 不 Pagination cursor for next page
date_from string query 不 Start date for news (YYYY-MM-DD format)
date_to string query 不 End date for news (YYYY-MM-DD format)
sort string query 不 Sort order (date or relevance)

代码示例

curl -X GET \
  "https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

响应

200 Success
GET /fulltext

Get Full-Text News

参数

名称 类型 位置 必填 描述
keywords_text string query 是 Primary keyword query used for direct news retrieval
lang_code string query 不 Filter by language code (ISO 639-1)
country_code string query 不 Filter by country code (ISO 3166-1 alpha-2)
count integer query 不 Number of results to return
cursor string query 不 Pagination cursor for next page
date_from string query 不 Start date for news (YYYY-MM-DD format)
date_to string query 不 End date for news (YYYY-MM-DD format)
sort string query 不 Sort order (date or relevance)

代码示例

curl -X GET \
  "https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

响应

200 Success